
Infrastructure - Bug #1222

d1_libclient_java cleanup - small errors

2011-01-12 23:17 - Rob Nahf

Status: Closed Start date: 2011-01-13

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_libclient_java Estimated time: 0.00 hour

Target version: Sprint-2011.02   

Milestone:  Story Points:  

Product Version: *   

Description

miscellaneous bugs found during testing listObject methods:

1. D1Node.sendRequest not checking for empty-string parameter String (nor all-whitespace)

2. D1Node.deserializeAndThrowException(errorStream) assumes that errorStream contains an xml response, when it could be

html (the CN Home page for example)

3. same method on error doesn't recover and print out stream contents - making debugging difficult.

4. D1.sendRequest() incorrectly replaces all whitespace characters with %20 only when a space character is present:  if

(restURL.indexOf(" ") != -1)  restURL = restURL.replaceAll("\s", "%20");

Subtasks:

Task # 1229: refactor D1Node.sendRequest for consistent returns on errors Closed

History

#1 - 2011-01-12 23:34 - Rob Nahf

- Category set to d1_libclient_java

- Status changed from New to In Progress

- Assignee set to Rob Nahf

- % Done changed from 0 to 80

addressed issues 1,2,4

#2 - 2011-01-14 04:30 - Rob Nahf

- Status changed from In Progress to Closed
